Message: Cannot find -lexpat Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Question Cannot find -lexpat  

Forum: Installation and Configuration
Date: 06 Jun, 2012
From: Sam <Sam>

Hello,

I am trying to install 9.5.p01 on:

Distributor ID: Ubuntu Description: Ubuntu 10.04.4 LTS Release: 10.04 Codename: lucid

At the moment I am only trying to get the simplest installation up and running: no extra data sets and no extra options. My initial cmake command is

cmake -DCMAKE_INSTALL_PREFIX=/home/analysis/geant4.9.5.p01/ /home/analysis/geant4/geant4.9.5.p01/

I get the -- Could NOT find EXPAT (missing: EXPAT_LIBRARY EXPAT_INCLUDE_DIR) from cmake, but following other posts it should default to the internal G4Expat. After compiling and trying to make the N01 example as a test I get

Linking exampleN01 /usr/bin/ld: cannot find -lexpat collect2: ld returned 1 exit status make: *** [/home/analysis/geant4_workdir/bin/Linux-g++/exampleN01] Error 1

I have tried downloading Expat externally using sudo apt-get install expat, but it does not remove the error from cmake.

Thank you in advance,

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: Cannot find -lexpat   (Ben Morgan - 07 Jun, 2012)
 Add Message Add Message
to: "Cannot find -lexpat "

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]